Subject: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Dec 2019 17:43:31 +0200

> Date: Sun, 08 Dec 2019 12:04:59 +0100
> From: Juan Jose Garcia-Ripoll <[email-masked]>
> 
> I am using org-open-file to open files in dired. This function, for some
> file types, relies on w32-shell-execute with the "open" verb. This verb
> fails when the full path contains spaces. For instance, the first instance
> does not work, while the second does
> 
> (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\some-path\\CV.pdf")
> 
> (w32-shell-execute "open" "c:\\Users\\juanj\\another-path\\CV.pdf")
> 
> I am reporting this from a rather full image, but the problem also is shown
> in a bare-bones emacs (emacs -q)

Not reproducible here, although I tried several PDF documents on 2
different systems.

What program is configured on your system to open PDF documents?  Is
it possible that its configuration is wrong?